Subject: Re: Small patch for expect under cygwin
From: Christopher Faylor <[email-masked]>
To: Niklaus Giger <[email-masked]>
Cc: [email-masked]
Date: Fri, 21 Sep 2001 13:20:11 -0400

On Fri, Sep 21, 2001 at 02:09:58PM +0200, Niklaus Giger wrote:
>Thank you very much for all your effort in making cygwin such a good
>environment under WindowsNT.  Whithout it I would be helpless.
>
>I tried to use expect and fell into one of the pitholes.  My CYGWIN
>environment variable did not contain 'tty'.

Could you provide a reference for the email where I suggested this?

Many people inside Red Hat use expect without setting CYGWIN=tty so
I don't remember this limitation.

Btw, I have redirected this email to the cygwin mailing list.

cgf

>Searching on google found the answer Christopher Faylor from March of this year.
>
>It would have helped to have this small snippet of code  being inserted e.g. in exp_main.exp.c at line 25 or so.
>Is this a useful patch you could commit?
>
>#ifdef __CYGWIN32__
>    if (strstr(getenv("CYGWIN"), "tty") == 0)
>    {
>       fprintf(stderr,
>               "Without tty in env variable CYGWIN=(%s) expect doesn't work properly.\n",
>               getenv("CYGWIN"));
>       fprintf(stderr,
>               "Set CYGWIN in autoexec.bat (Win9x) or \nvia Control Panel->System->Environment Variables (NT)\n",
>               getenv("CYGWIN"));
>    }
>#endif

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/